# Hints

## Hint 1

Try poking around what's in a file by using the 'head' command:

    head -n 20 people

This will show you the first 20 lines of the 'people' file.

## Hint 2

Try using grep to search for the clues in the crimescene file:

    grep "CLUE" crimescene

## Hint 3

In order to track down our potential witness, we need to figure out where she lives.

Try using 'head' on some of the files like 'people' and 'vehicles' and see where we might find that.

## Hint4

To find all the Annabels' addresses, use the 'people' file:

    grep "Annabel" people

Notice that not all of the results are worth investigating.  Remember what we know about Annabel.

## Hint 5

"Interview" the two possible witnesses by reading the correct line from the streets they live on:

    head -n 173 streets/Mattapan_Street | tail -n 1

This will give you just line 173 of Mattapan street, because it will take first 173 lines, and then take
the last line from those.

## Hint 6

To find a matching license plate, or a matching car, you can use grep on the 'vehicles' file:

    grep "Honda" vehicles

    grep "Blue" vehicles

    grep "L337" vehicles

This doesn't give us anything useful - why not? Try using 'head' on the file to investigate its structure.

## Hint 7

In order to actually get information about vehicles that might match our description,
we need to get multiple lines AROUND each match.  We can use the -A, -B, or -C option with grep:

    grep -A 5 "L337" mystery/vehicles

This will match the license plates that contain "L337" and, for each match, show us the five lines AFTER it.

## Hint 8

To see who was a member of several different groups, you can combine their membership lists into one and search against that.

    cat Fitness_Galaxy AAA United_MileagePlus | grep "John Smith"

If you only want to see the number of matches, you can use grep's -c option (the c must be lowercase):

    cat Fitness_Galaxy AAA United_MileagePlus | grep -c "John Smith"

Or you can pipe the result to 'wc -l':

    cat Fitness_Galaxy AAA United_MileagePlus | grep "John Smith" | wc -l